import { Store } from '@ngxs/store';
import { ActionSheetController } from 'ionic-angular';
import { FileBrowserContainerCoreComponent } from '../file-browser-container/file-browser-container-core.component';
export declare class FileBrowserActionSheetComponent {
    store: Store;
    actionSheetCtrl: ActionSheetController;
    fileBrowserContainerCore: FileBrowserContainerCoreComponent;
    constructor(store: Store, actionSheetCtrl: ActionSheetController, fileBrowserContainerCore: FileBrowserContainerCoreComponent);
    node: number;
    openBtn: {
        icon: string;
        text: string;
        handler: () => void;
    };
    newFolderBtn: {
        icon: string;
        text: string;
        handler: () => void;
    };
    newFileBtn: {
        icon: string;
        text: string;
        handler: () => void;
    };
    renameBtn: {
        icon: string;
        text: string;
        handler: () => void;
    };
    deleteBtn: {
        icon: string;
        text: string;
        handler: () => void;
    };
    presentActionSheet(node: any): void;
    getActionSheetOptions(type: any): any;
}
